<mat-card class="card center">
  <mat-card-content>
    <mat-card-title>Log in</mat-card-title>
    <mat-card-subtitle>You must be logged in to access the database. Account can be requested by registering.</mat-card-subtitle>
    <div class="container">
      <mat-form-field>
        <input matInput placeholder="Enter your email" [formControl]="email" required>
        <mat-error *ngIf="email.invalid">{{getEmailErrorMessage()}}</mat-error>
      </mat-form-field>
      <mat-form-field>
        <input matInput placeholder="Enter your password" [formControl]="password" required [type]="hide ? 'password' : 'text'">
        <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
        <mat-error *ngIf="password.invalid">{{getPassErrorMessage()}}</mat-error>
      </mat-form-field>
    </div>
  </mat-card-content>
  <mat-card-actions>
    <button mat-flat-button color="primary" [disabled]="password.invalid || email.invalid" (click)="onSubmit()">Login</button>
    <button mat-flat-button color="primary" routerLink="/register">Register an Account</button>
  </mat-card-actions>
</mat-card>
